## golang-github-containers-image 5.23.1

=== Makefile ===
.PHONY: all tools test validate lint .gitvalidation fmt

export GOPROXY=https://proxy.golang.org


GOBIN := $(shell go env GOBIN)
ifeq ($(GOBIN),)
GOBIN := $(shell go env GOPATH)/bin
endif

# when cross compiling _for_ a Darwin or windows host, then we must use openpgp
BUILD_TAGS_WINDOWS_CROSS = containers_image_openpgp
BUILD_TAGS_DARWIN_CROSS = containers_image_openpgp

BUILDTAGS = btrfs_noversion libdm_no_deferred_remove
BUILDFLAGS := -tags "$(BUILDTAGS)"

PACKAGES := $(shell GO111MODULE=on go list $(BUILDFLAGS) ./...)
SOURCE_DIRS = $(shell echo $(PACKAGES) | awk 'BEGIN{FS="/"; RS=" "}{print $$4}' | uniq)

PREFIX ?= ${DESTDIR}/usr
MANINSTALLDIR=${PREFIX}/share/man
GOMD2MAN ?= $(shell command -v go-md2man || echo '$(GOBIN)/go-md2man')
MANPAGES_MD = $(wildcard docs/*.5.md)
MANPAGES ?= $(MANPAGES_MD:%.md=%)

export PATH := $(PATH):${GOBIN}

all: tools test validate .gitvalidation

build:
	GO111MODULE="on" go build $(BUILDFLAGS) ./...

$(MANPAGES): %: %.md
	$(GOMD2MAN) -in $< -out $@

docs: $(MANPAGES)

install-docs: docs
	install -d -m 755 ${MANINSTALLDIR}/man5
	install -m 644 docs/*.5 ${MANINSTALLDIR}/man5/

install: install-docs

cross:
	GOOS=windows $(MAKE) build BUILDTAGS="$(BUILDTAGS) $(BUILD_TAGS_WINDOWS_CROSS)"
	GOOS=darwin $(MAKE) build BUILDTAGS="$(BUILDTAGS) $(BUILD_TAGS_DARWIN_CROSS)"

tools: .install.gitvalidation .install.golangci-lint .install.golint

.install.gitvalidation:
	if [ ! -x "$(GOBIN)/git-validation" ]; then \
		GO111MODULE="off" go get $(BUILDFLAGS) github.com/vbatts/git-validation; \
	fi

.install.golangci-lint:
	if [ ! -x "$(GOBIN)/golangci-lint" ]; then \
		curl -sfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh| sh -s -- -b $(GOBIN) v1.49.0; \
	fi

.install.golint:
	# Note, golint is only needed for Skopeo's tests.
	if [ ! -x "$(GOBIN)/golint" ]; then \
		GO111MODULE="off" go get -u $(BUILDFLAGS) golang.org/x/lint/golint; \
	fi

clean:
	rm -rf $(MANPAGES)

test:
	@GO111MODULE="on" go test $(BUILDFLAGS) -cover ./...

fmt:
	@gofmt -l -s -w $(SOURCE_DIRS)

validate: lint
	@BUILDTAGS="$(BUILDTAGS)" hack/validate.sh

lint:
	$(GOBIN)/golangci-lint run --build-tags "$(BUILDTAGS)"

# When this is running in CI, it will only check the CI commit range
.gitvalidation:
	@which $(GOBIN)/git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found. Consider 'make clean && make tools'" && false)
	git fetch -q "https://github.com/containers/image.git" "refs/heads/main"
	upstream="$$(git rev-parse --verify FETCH_HEAD)" ; \
		$(GOBIN)/git-validation -q -run DCO,short-subject,dangling-whitespace -range $$upstream..HEAD

=== debian/changelog ===
golang-github-containers-image (5.23.1-4) unstable; urgency=medium

  * Team upload
  * Add patch to recognize ArgsEscaped in OCI image config in tests

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 04 Apr 2023 00:45:57 +0800

golang-github-containers-image (5.23.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 24 Nov 2022 08:46:02 -0500

golang-github-containers-image (5.23.1-2) experimental; urgency=medium

  * Avoid golang-gcc, miscompiles on rivo/uniseg

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 12 Nov 2022 16:05:45 -0500

golang-github-containers-image (5.23.1-1) experimental; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 11 Nov 2022 20:04:17 -0500

golang-github-containers-image (5.22.0-2) experimental; urgency=medium

  * Build and install the 'sigstore' package

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 Aug 2022 10:16:29 +0200

golang-github-containers-image (5.22.0-1) experimental; urgency=medium

  * New upstream version
  * refresh patches
  * Bump standards version
  * add disable-sigstore.patch: Code changes to disable image signing
    functionality. Attempting to sign or verify images will fail with
    an error until Debian ships with a copy of github.com/sigstore/sigstore

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 Aug 2022 09:45:11 +0200

golang-github-containers-image (5.21.1-3) experimental; urgency=medium

  * Tighten dependency on golang-github-opencontainers-image-spec-dev

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 18 May 2022 22:36:50 -0400

golang-github-containers-image (5.21.1-2) experimental; urgency=medium

  * revert upstream patch 7152f888b90d2f3cd7a633246ceba30f5cd49cc3
  * refresh patches
  * debian/copyright: update with 'cme update dpkg-copyright'

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 15 May 2022 16:41:39 -0400

golang-github-containers-image (5.21.1-1) experimental; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 15 May 2022 07:18:12 -0400

golang-github-containers-image (5.19.0-1) experimental; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Feb 2022 20:02:56 -0500

golang-github-containers-image (5.17.0-1) experimental; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 11 Jan 2022 07:26:41 -0500

=== debian/control ===
Source: golang-github-containers-image
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends: debhelper-compat (= 12),
    dh-golang,
    go-md2man,
    golang-go,
    golang-github-acarl005-stripansi-dev,
    golang-github-burntsushi-toml-dev,
    golang-github-containers-ocicrypt-dev,
    golang-github-containers-storage-dev (>= 1.43),
    golang-github-coreos-bbolt-dev (>= 1.3.3~),
    golang-github-docker-distribution-dev,
    golang-github-docker-docker-credential-helpers-dev,
    golang-github-docker-docker-dev,
    golang-github-docker-go-connections-dev,
    golang-github-docker-libtrust-dev,
    golang-github-fullsailor-pkcs7-dev,
    golang-github-ghodss-yaml-dev,
    golang-github-imdario-mergo-dev,
    golang-github-klauspost-pgzip-dev,
    golang-github-manifoldco-promptui-dev,
    golang-github-moby-sys-dev,
    golang-github-opencontainers-go-digest-dev,
    golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc2-2~),
    golang-github-opencontainers-selinux-dev (>= 1.5),
    golang-github-ostreedev-ostree-go-dev,
    golang-github-pkg-errors-dev,
    golang-github-pquerna-ffjson-dev,
    golang-github-proglottis-gpgme-dev,
    golang-github-sirupsen-logrus-dev,
    golang-github-stretchr-testify-dev,
    golang-github-sylabs-sif-dev (>> 2.3.1),
    golang-github-ulikunitz-xz-dev,
    golang-github-vbatts-tar-split-dev,
    golang-github-vbauerster-mpb-dev (>= 7),
    golang-github-xeipuuv-gojsonschema-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-net-dev,
    golang-golang-x-sync-dev,
    golang-gopkg-cheggaaa-pb.v1-dev,
    libbtrfs-dev,
    libdevmapper-dev,
Standards-Version: 4.6.1
Homepage: https://github.com/containers/image
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
XS-Go-Import-Path: github.com/containers/image
Testsuite: autopkgtest-pkg-go

Package: golang-github-containers-image
Architecture: all
Depends: ${misc:Depends}
Replaces: buildah (<< 1.17.1+dfsg1-2)
Description: Configuration files and manpages for github.com/containers repositories
 This package contains documentation and configuration files for use by
 other container projects.

Package: golang-github-containers-image-dev
Architecture: all
Depends: ${misc:Depends},
    golang-github-acarl005-stripansi-dev,
    golang-github-burntsushi-toml-dev,
    golang-github-containers-ocicrypt-dev,
    golang-github-containers-storage-dev (>= 1.43),
    golang-github-coreos-bbolt-dev (>= 1.3.3~),
    golang-github-docker-distribution-dev,
    golang-github-docker-docker-credential-helpers-dev,
    golang-github-docker-docker-dev,
    golang-github-docker-go-connections-dev,
    golang-github-docker-libtrust-dev,
    golang-github-ghodss-yaml-dev,
    golang-github-imdario-mergo-dev,
    golang-github-klauspost-pgzip-dev,
    golang-github-manifoldco-promptui-dev,
    golang-github-moby-sys-dev,
    golang-github-opencontainers-go-digest-dev,
    golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc2-2~),
    golang-github-opencontainers-selinux-dev,
    golang-github-ostreedev-ostree-go-dev,
    golang-github-pkg-errors-dev,
    golang-github-proglottis-gpgme-dev,
    golang-github-sirupsen-logrus-dev,
    golang-github-stretchr-testify-dev,
    golang-github-sylabs-sif-dev (>> 2.3.1),
    golang-github-ulikunitz-xz-dev,
    golang-github-vbatts-tar-split-dev,
    golang-github-vbauerster-mpb-dev (>= 7),
    golang-github-xeipuuv-gojsonschema-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-net-dev,
    golang-golang-x-sync-dev,
    golang-gopkg-cheggaaa-pb.v1-dev,
Description: golang library to work with containers' images
 This library aims at working in various way with containers' images and
 container image registries and allows an application to pull and push
 images from container image registries, like the upstream docker
 registry. It also implements "simple image signing".

=== debian/rules ===
#!/usr/bin/make -f

# disable optional components
TAGS=""

# disable LTO, cf. https://wiki.debian.org/ToolChain/LTO
export DEB_BUILD_MAINT_OPTIONS := optimize=-lto
export DH_GOLANG_EXCLUDES := openshift
export DH_GOLANG_TEST_EXCLUDES := $(DH_GOLANG_EXCLUDES) signature
export DH_GOLANG_INSTALL_EXTRA := $(shell find . -type d -name 'fixtures') $(wildcard docs/*.json)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -tags $(TAGS)

override_dh_auto_test:
	DH_GOLANG_EXCLUDES="$(DH_GOLANG_TEST_EXCLUDES)" dh_auto_test -O--buildsystem=golang -- -tags $(TAGS)

override_dh_strip_nondeterminism:
	# this file comes from the testsuite, not a source of non-determinism
	dh_strip_nondeterminism -XHello.gz

override_dh_auto_install:
	dh_auto_install --buildsystem=golang
	make install-docs DESTDIR=$(CURDIR)/debian/golang-github-containers-image

## golang-github-containers-image 5.26.1

=== Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 
 .install.golangci-lint:
 	if [ ! -x "$(GOBIN)/golangci-lint" ]; then \
-		curl -sfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh| sh -s -- -b $(GOBIN) v1.49.0; \
+		curl -sfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh| sh -s -- -b $(GOBIN) v1.51.0; \
 	fi
 
 .install.golint:
@@ -85,3 +85,9 @@
 	git fetch -q "https://github.com/containers/image.git" "refs/heads/main"
 	upstream="$$(git rev-parse --verify FETCH_HEAD)" ; \
 		$(GOBIN)/git-validation -q -run DCO,short-subject,dangling-whitespace -range $$upstream..HEAD
+
+vendor-in-container:
+	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src golang go mod tidy
+
+codespell:
+	codespell -S Makefile,build,buildah,buildah.spec,imgtype,copy,AUTHORS,bin,vendor,.git,go.sum,CHANGELOG.md,changelog.txt,seccomp.json,.cirrus.yml,"*.xz,*.gz,*.tar,*.tgz,*ico,*.png,*.1,*.5,*.orig,*.rej" -L keypair,flate,uint,iff,od,ERRO -w

=== debian/changelog ===
golang-github-containers-image (5.26.1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Relax B-D condition on image-spec
  * Add versioned B-D and Depends on golang-golang-x-exp-dev

 -- Nilesh Patra <nilesh@debian.org>  Fri, 20 Oct 2023 03:01:00 +0530

golang-github-containers-image (5.26.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 20 Sep 2023 08:30:09 -0400

golang-github-containers-image (5.26.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches: drop support-ArgsEscaped-in-OCI-image-config.patch
  * refresh patches
  * debian/control: tighten dependency on containers/storage
  * bump dependency on opencontainers/image-spec 1.10~rc4

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Sep 2023 17:57:48 -0400

golang-github-containers-image (5.25.0-12) unstable; urgency=medium

  * re-enable the pkg/cli package, unbreaks compilation of skopeo

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 12 Sep 2023 18:15:43 -0400

golang-github-containers-image (5.25.0-11) unstable; urgency=medium

  * backport: [PATCH] Fix TestOCI1IndexChooseInstanceByCompression on non-amd64

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 11 Sep 2023 20:11:16 -0400

golang-github-containers-image (5.25.0-10) unstable; urgency=medium

  * sigtore disablement: Exclude some more tests

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 11 Sep 2023 10:26:07 -0400

golang-github-containers-image (5.25.0-9) unstable; urgency=medium

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Sep 2023 12:12:57 -0400

golang-github-containers-image (5.25.0-8) experimental; urgency=medium

  * work in experimental
  * drop the vbauerster patch

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 04 Sep 2023 20:47:04 -0400

golang-github-containers-image (5.25.0-7) experimental; urgency=medium

  * sigstore workarounds require disabling signature_test.go

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 02 Sep 2023 10:21:43 -0400

golang-github-containers-image (5.25.0-6) experimental; urgency=medium

  * Delete an additional sigstore reference

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 02 Sep 2023 06:51:43 -0400

golang-github-containers-image (5.25.0-5) experimental; urgency=medium

  * Revert "also include testdata", fixes FTBFS

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 02 Sep 2023 06:44:19 -0400

golang-github-containers-image (5.25.0-4) experimental; urgency=medium

  * Build against containers/libtrust instead of docker/libtrust
  * Rework the sigstore patch: Disable rekor/fulcio specific dependencies
  * Build depend on golang-github-theupdateframework-go-tuf-dev

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Jul 2023 10:12:35 -0400

golang-github-containers-image (5.25.0-3) experimental; urgency=medium

  * disable another sigstore reference

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 29 Jul 2023 19:27:10 -0400

golang-github-containers-image (5.25.0-2) experimental; urgency=medium

  * Invert logic around buildtag logic for disabling sigstore to avoid
    downstream packages having to set special buildtags
  * patch alltransports.go to avoid dependency on openshift

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 29 Jul 2023 18:16:29 -0400

golang-github-containers-image (5.25.0-1) experimental; urgency=medium

  * New upstream release
  * Significantly expand the disable-cosign.patch
  * Disable a couple of additional tests
  * Revert to vbauerster/mbp version 7 (from 8)
  * revise the libtrust patch until containers/libtrust comes out of NEW
  * use GOFLAGS environment instead of passing on the commandline

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 15 Jul 2023 07:16:52 -0400

golang-github-containers-image (5.23.1+git20230116+3d22f4e96c53-1) experimental; urgency=medium

  * New upstream snapshot
    - referenced from podman/4.4.0+rc2
  * Bump dependency on containers/storage >> 1.45

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 19 Jan 2023 03:44:35 -0500

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,16 @@
 Build-Depends: debhelper-compat (= 12),
     dh-golang,
     go-md2man,
-    golang-go,
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
+    golang-github-containers-libtrust-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.43),
+    golang-github-containers-storage-dev (>= 1.48),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
     golang-github-docker-docker-dev,
     golang-github-docker-go-connections-dev,
-    golang-github-docker-libtrust-dev,
     golang-github-fullsailor-pkcs7-dev,
     golang-github-ghodss-yaml-dev,
     golang-github-imdario-mergo-dev,
@@ -25,20 +24,23 @@
     golang-github-manifoldco-promptui-dev,
     golang-github-moby-sys-dev,
     golang-github-opencontainers-go-digest-dev,
-    golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc2-2~),
-    golang-github-opencontainers-selinux-dev (>= 1.5),
+    golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4~),
+    golang-github-opencontainers-selinux-dev (>= 1.11),
     golang-github-ostreedev-ostree-go-dev,
     golang-github-pkg-errors-dev,
     golang-github-pquerna-ffjson-dev,
     golang-github-proglottis-gpgme-dev,
+    golang-github-sigstore-sigstore-dev,
     golang-github-sirupsen-logrus-dev,
     golang-github-stretchr-testify-dev,
     golang-github-sylabs-sif-dev (>> 2.3.1),
     golang-github-ulikunitz-xz-dev,
     golang-github-vbatts-tar-split-dev,
-    golang-github-vbauerster-mpb-dev (>= 7),
+    golang-github-vbauerster-mpb-dev (>= 8),
     golang-github-xeipuuv-gojsonschema-dev,
+    golang-go,
     golang-golang-x-crypto-dev,
+    golang-golang-x-exp-dev (>= 0.0~git20230522.2e198f4-1~),
     golang-golang-x-net-dev,
     golang-golang-x-sync-dev,
     golang-gopkg-cheggaaa-pb.v1-dev,
@@ -64,33 +66,36 @@
 Depends: ${misc:Depends},
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
+    golang-github-containers-libtrust-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.43),
+    golang-github-containers-storage-dev (>= 1.48),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
     golang-github-docker-docker-dev,
     golang-github-docker-go-connections-dev,
-    golang-github-docker-libtrust-dev,
     golang-github-ghodss-yaml-dev,
     golang-github-imdario-mergo-dev,
     golang-github-klauspost-pgzip-dev,
     golang-github-manifoldco-promptui-dev,
     golang-github-moby-sys-dev,
     golang-github-opencontainers-go-digest-dev,
-    golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc2-2~),
-    golang-github-opencontainers-selinux-dev,
+    golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4),
+    golang-github-opencontainers-selinux-dev (>= 1.11),
     golang-github-ostreedev-ostree-go-dev,
     golang-github-pkg-errors-dev,
     golang-github-proglottis-gpgme-dev,
+    golang-github-sigstore-sigstore-dev,
     golang-github-sirupsen-logrus-dev,
     golang-github-stretchr-testify-dev,
     golang-github-sylabs-sif-dev (>> 2.3.1),
+    golang-github-theupdateframework-go-tuf-dev,
     golang-github-ulikunitz-xz-dev,
     golang-github-vbatts-tar-split-dev,
-    golang-github-vbauerster-mpb-dev (>= 7),
+    golang-github-vbauerster-mpb-dev (>= 8),
     golang-github-xeipuuv-gojsonschema-dev,
     golang-golang-x-crypto-dev,
+    golang-golang-x-exp-dev (>= 0.0~git20230522.2e198f4-1~),
     golang-golang-x-net-dev,
     golang-golang-x-sync-dev,
     golang-gopkg-cheggaaa-pb.v1-dev,

=== debian/rules ===
#!/usr/bin/make -f

# disable LTO, cf. https://wiki.debian.org/ToolChain/LTO
export DEB_BUILD_MAINT_OPTIONS := optimize=-lto
export DH_GOLANG_EXCLUDES := openshift sigstore
export DH_GOLANG_INSTALL_EXTRA := $(shell find . -type d -name 'fixtures') $(wildcard docs/*.json)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_strip_nondeterminism:
	# this file comes from the testsuite, not a source of non-determinism
	dh_strip_nondeterminism -XHello.gz

override_dh_auto_install:
	dh_auto_install --buildsystem=golang
	make install-docs DESTDIR=$(CURDIR)/debian/golang-github-containers-image

## golang-github-containers-image 5.28.0

=== debian/changelog ===
golang-github-containers-image (5.28.0-4) unstable; urgency=medium

  * Drop revert-x-exp-slices.patch, no longer needed, closes: #1055542
    Fixes an FTBFS

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 08 Nov 2023 16:57:29 -0500

golang-github-containers-image (5.28.0-3) unstable; urgency=medium

  * build the containers/image/signature/sigstore package

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 Oct 2023 09:51:43 -0400

golang-github-containers-image (5.28.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 Oct 2023 06:48:43 -0400

golang-github-containers-image (5.28.0-1) experimental; urgency=medium

  * New upstream release
  * tighten dependency on containers/storage
  * Refresh patches
  * add dependency on golang-github-mattn-go-sqlite3-dev
  * Revert upstream commit updating x-exp-slices

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 Sep 2023 11:51:55 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
     golang-github-burntsushi-toml-dev,
     golang-github-containers-libtrust-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.48),
+    golang-github-containers-storage-dev (>= 1.50),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
@@ -22,14 +22,16 @@
     golang-github-imdario-mergo-dev,
     golang-github-klauspost-pgzip-dev,
     golang-github-manifoldco-promptui-dev,
+    golang-github-mattn-go-sqlite3-dev,
     golang-github-moby-sys-dev,
     golang-github-opencontainers-go-digest-dev,
-    golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4~),
+    golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4),
     golang-github-opencontainers-selinux-dev (>= 1.11),
     golang-github-ostreedev-ostree-go-dev,
     golang-github-pkg-errors-dev,
     golang-github-pquerna-ffjson-dev,
     golang-github-proglottis-gpgme-dev,
+    golang-github-secure-systems-lab-go-securesystemslib-dev,
     golang-github-sigstore-sigstore-dev,
     golang-github-sirupsen-logrus-dev,
     golang-github-stretchr-testify-dev,
@@ -40,7 +42,6 @@
     golang-github-xeipuuv-gojsonschema-dev,
     golang-go,
     golang-golang-x-crypto-dev,
-    golang-golang-x-exp-dev (>= 0.0~git20230522.2e198f4-1~),
     golang-golang-x-net-dev,
     golang-golang-x-sync-dev,
     golang-gopkg-cheggaaa-pb.v1-dev,
@@ -68,7 +69,7 @@
     golang-github-burntsushi-toml-dev,
     golang-github-containers-libtrust-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.48),
+    golang-github-containers-storage-dev (>= 1.50),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
@@ -78,6 +79,7 @@
     golang-github-imdario-mergo-dev,
     golang-github-klauspost-pgzip-dev,
     golang-github-manifoldco-promptui-dev,
+    golang-github-mattn-go-sqlite3-dev,
     golang-github-moby-sys-dev,
     golang-github-opencontainers-go-digest-dev,
     golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4),
@@ -85,6 +87,7 @@
     golang-github-ostreedev-ostree-go-dev,
     golang-github-pkg-errors-dev,
     golang-github-proglottis-gpgme-dev,
+    golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.7),
     golang-github-sigstore-sigstore-dev,
     golang-github-sirupsen-logrus-dev,
     golang-github-stretchr-testify-dev,
@@ -95,7 +98,6 @@
     golang-github-vbauerster-mpb-dev (>= 8),
     golang-github-xeipuuv-gojsonschema-dev,
     golang-golang-x-crypto-dev,
-    golang-golang-x-exp-dev (>= 0.0~git20230522.2e198f4-1~),
     golang-golang-x-net-dev,
     golang-golang-x-sync-dev,
     golang-gopkg-cheggaaa-pb.v1-dev,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # disable LTO, cf. https://wiki.debian.org/ToolChain/LTO
 export DEB_BUILD_MAINT_OPTIONS := optimize=-lto
-export DH_GOLANG_EXCLUDES := openshift sigstore
+export DH_GOLANG_EXCLUDES := openshift
 export DH_GOLANG_INSTALL_EXTRA := $(shell find . -type d -name 'fixtures') $(wildcard docs/*.json)
 
 %:

## golang-github-containers-image 5.29.2

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,11 @@
 MANPAGES_MD = $(wildcard docs/*.5.md)
 MANPAGES ?= $(MANPAGES_MD:%.md=%)
 
+# N/B: This value is managed by Renovate, manual changes are
+# possible, as long as they don't disturb the formatting
+# (i.e. DO NOT ADD A 'v' prefix!)
+GOLANGCI_LINT_VERSION := 1.55.2
+
 export PATH := $(PATH):${GOBIN}
 
 all: tools test validate .gitvalidation
@@ -46,7 +51,7 @@
 	GOOS=windows $(MAKE) build BUILDTAGS="$(BUILDTAGS) $(BUILD_TAGS_WINDOWS_CROSS)"
 	GOOS=darwin $(MAKE) build BUILDTAGS="$(BUILDTAGS) $(BUILD_TAGS_DARWIN_CROSS)"
 
-tools: .install.gitvalidation .install.golangci-lint .install.golint
+tools: .install.gitvalidation .install.golangci-lint
 
 .install.gitvalidation:
 	if [ ! -x "$(GOBIN)/git-validation" ]; then \
@@ -55,13 +60,7 @@
 
 .install.golangci-lint:
 	if [ ! -x "$(GOBIN)/golangci-lint" ]; then \
-		curl -sfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh| sh -s -- -b $(GOBIN) v1.51.0; \
-	fi
-
-.install.golint:
-	# Note, golint is only needed for Skopeo's tests.
-	if [ ! -x "$(GOBIN)/golint" ]; then \
-		GO111MODULE="off" go get -u $(BUILDFLAGS) golang.org/x/lint/golint; \
+		curl -sfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh| sh -s -- -b $(GOBIN) v$(GOLANGCI_LINT_VERSION) ; \
 	fi
 
 clean:

=== debian/changelog ===
golang-github-containers-image (5.29.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 06 Feb 2024 19:06:53 -0500

golang-github-containers-image (5.29.2-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 06 Feb 2024 06:57:15 -0500

golang-github-containers-image (5.29.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 24 Jan 2024 21:26:41 -0500

golang-github-containers-image (5.29.1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 23 Jan 2024 18:52:02 -0500

golang-github-containers-image (5.29.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Jan 2024 15:04:40 -0500

golang-github-containers-image (5.29.0-2) experimental; urgency=medium

  * enable image/signature/sigstore package

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 23 Nov 2023 14:50:58 +0000

golang-github-containers-image (5.29.0-1) experimental; urgency=medium

  * New upstream release
  * simplify the avoid-rekor-patch further

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 22 Nov 2023 22:51:33 +0000

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
     dh-golang,
     go-md2man,
     golang-github-acarl005-stripansi-dev,
-    golang-github-burntsushi-toml-dev,
+    golang-github-burntsushi-toml-dev (>= 1.3.2),
     golang-github-containers-libtrust-dev,
-    golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.50),
+    golang-github-containers-ocicrypt-dev (>= 1.1.9),
+    golang-github-containers-storage-dev (>= 1.51),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
+    golang-github-otiai10-copy-dev,
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
     golang-github-docker-docker-dev,
@@ -25,7 +26,7 @@
     golang-github-mattn-go-sqlite3-dev,
     golang-github-moby-sys-dev,
     golang-github-opencontainers-go-digest-dev,
-    golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4),
+    golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc5~),
     golang-github-opencontainers-selinux-dev (>= 1.11),
     golang-github-ostreedev-ostree-go-dev,
     golang-github-pkg-errors-dev,
@@ -42,6 +43,7 @@
     golang-github-xeipuuv-gojsonschema-dev,
     golang-go,
     golang-golang-x-crypto-dev,
+    golang-golang-x-exp-dev (>= 0.0~git20230522.2e198f4-1~),
     golang-golang-x-net-dev,
     golang-golang-x-sync-dev,
     golang-gopkg-cheggaaa-pb.v1-dev,
@@ -66,10 +68,10 @@
 Architecture: all
 Depends: ${misc:Depends},
     golang-github-acarl005-stripansi-dev,
-    golang-github-burntsushi-toml-dev,
+    golang-github-burntsushi-toml-dev (>= 1.3.2),
     golang-github-containers-libtrust-dev,
-    golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.50),
+    golang-github-containers-ocicrypt-dev (>= 1.1.9),
+    golang-github-containers-storage-dev (>= 1.51),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
@@ -82,7 +84,7 @@
     golang-github-mattn-go-sqlite3-dev,
     golang-github-moby-sys-dev,
     golang-github-opencontainers-go-digest-dev,
-    golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4),
+    golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc5),
     golang-github-opencontainers-selinux-dev (>= 1.11),
     golang-github-ostreedev-ostree-go-dev,
     golang-github-pkg-errors-dev,
@@ -98,6 +100,7 @@
     golang-github-vbauerster-mpb-dev (>= 8),
     golang-github-xeipuuv-gojsonschema-dev,
     golang-golang-x-crypto-dev,
+    golang-golang-x-exp-dev (>= 0.0~git20230522.2e198f4-1~),
     golang-golang-x-net-dev,
     golang-golang-x-sync-dev,
     golang-gopkg-cheggaaa-pb.v1-dev,

## golang-github-containers-image 5.29.4

=== debian/changelog ===
golang-github-containers-image (5.29.4-1) unstable; urgency=medium

  * New upstream release
  * Drop patch to avoid fulcio and rekor dependencies, unlocks
    image signing features

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Jun 2024 16:39:32 -0400

golang-github-containers-image (5.29.3-1) unstable; urgency=medium

  * New upstream release
    Fixes: CVE-2024-3727

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 31 May 2024 09:14:32 -0400

=== debian/control ===
Source: golang-github-containers-image
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               go-md2man,
               golang-github-acarl005-stripansi-dev,
               golang-github-burntsushi-toml-dev (>= 1.3.2),
               golang-github-containers-libtrust-dev,
               golang-github-containers-ocicrypt-dev (>= 1.1.9),
               golang-github-containers-storage-dev (>= 1.51),
               golang-github-coreos-bbolt-dev (>= 1.3.3~),
               golang-github-docker-distribution-dev,
               golang-github-docker-docker-credential-helpers-dev,
               golang-github-docker-docker-dev,
               golang-github-docker-go-connections-dev,
               golang-github-fullsailor-pkcs7-dev,
               golang-github-ghodss-yaml-dev,
               golang-github-imdario-mergo-dev,
               golang-github-klauspost-pgzip-dev,
               golang-github-manifoldco-promptui-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-moby-sys-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc5~),
               golang-github-opencontainers-selinux-dev (>= 1.11),
               golang-github-ostreedev-ostree-go-dev,
               golang-github-otiai10-copy-dev,
               golang-github-pkg-errors-dev,
               golang-github-pquerna-ffjson-dev,
               golang-github-proglottis-gpgme-dev,
               golang-github-secure-systems-lab-go-securesystemslib-dev,
               golang-github-sigstore-fulcio-dev,
               golang-github-sigstore-rekor-dev,
               golang-github-sigstore-sigstore-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-stretchr-testify-dev,
               golang-github-sylabs-sif-dev (>> 2.3.1),
               golang-github-ulikunitz-xz-dev,
               golang-github-vbatts-tar-split-dev,
               golang-github-vbauerster-mpb-dev (>= 8),
               golang-github-xeipuuv-gojsonschema-dev,
               golang-go,
               golang-golang-x-crypto-dev,
               golang-golang-x-exp-dev (>= 0.0~git20230522.2e198f4-1~),
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
               golang-gopkg-cheggaaa-pb.v1-dev,
               libbtrfs-dev,
               libdevmapper-dev
Standards-Version: 4.6.1
Homepage: https://github.com/containers/image
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
XS-Go-Import-Path: github.com/containers/image
Testsuite: autopkgtest-pkg-go

Package: golang-github-containers-image
Architecture: all
Depends: ${misc:Depends}
Replaces: buildah (<< 1.17.1+dfsg1-2)
Description: Configuration files and manpages for github.com/containers repositories
 This package contains documentation and configuration files for use by
 other container projects.

Package: golang-github-containers-image-dev
Architecture: all
Depends: golang-github-acarl005-stripansi-dev,
         golang-github-burntsushi-toml-dev (>= 1.3.2),
         golang-github-containers-libtrust-dev,
         golang-github-containers-ocicrypt-dev (>= 1.1.9),
         golang-github-containers-storage-dev (>= 1.51),
         golang-github-coreos-bbolt-dev (>= 1.3.3~),
         golang-github-docker-distribution-dev,
         golang-github-docker-docker-credential-helpers-dev,
         golang-github-docker-docker-dev,
         golang-github-docker-go-connections-dev,
         golang-github-ghodss-yaml-dev,
         golang-github-imdario-mergo-dev,
         golang-github-klauspost-pgzip-dev,
         golang-github-manifoldco-promptui-dev,
         golang-github-mattn-go-sqlite3-dev,
         golang-github-moby-sys-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc5),
         golang-github-opencontainers-selinux-dev (>= 1.11),
         golang-github-ostreedev-ostree-go-dev,
         golang-github-pkg-errors-dev,
         golang-github-proglottis-gpgme-dev,
         golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.7),
         golang-github-sigstore-fulcio-dev,
         golang-github-sigstore-rekor-dev,
         golang-github-sigstore-sigstore-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-stretchr-testify-dev,
         golang-github-sylabs-sif-dev (>> 2.3.1),
         golang-github-theupdateframework-go-tuf-dev,
         golang-github-ulikunitz-xz-dev,
         golang-github-vbatts-tar-split-dev,
         golang-github-vbauerster-mpb-dev (>= 8),
         golang-github-xeipuuv-gojsonschema-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-exp-dev (>= 0.0~git20230522.2e198f4-1~),
         golang-golang-x-net-dev,
         golang-golang-x-sync-dev,
         golang-gopkg-cheggaaa-pb.v1-dev,
         ${misc:Depends}
Description: golang library to work with containers' images
 This library aims at working in various way with containers' images and
 container image registries and allows an application to pull and push
 images from container image registries, like the upstream docker
 registry. It also implements "simple image signing".

## golang-github-containers-image 5.30.2

=== debian/changelog ===
golang-github-containers-image (5.30.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 26 Jul 2024 22:52:59 +0200

golang-github-containers-image (5.30.2-1) experimental; urgency=medium

  * New upstream release
  * Tighten dependency on sigstore
  * Refresh and document debian/patches
  * Enable image signing with rekor/sigstore
  * Compile against docker 26

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 10 Jul 2024 07:54:50 -0400

golang-github-containers-image (5.30.0-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Mar 2024 12:07:12 -0400

golang-github-containers-image (5.29.2-3) experimental; urgency=medium

  * Fix FTBFS against containers/storage 1.52

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 09 Feb 2024 12:37:17 -0500

=== debian/control ===
Source: golang-github-containers-image
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper-compat (= 12),
    dh-golang,
    go-md2man,
    golang-github-acarl005-stripansi-dev,
    golang-github-burntsushi-toml-dev (>= 1.3.2),
    golang-github-containers-libtrust-dev,
    golang-github-containers-ocicrypt-dev (>= 1.1.9),
    golang-github-containers-storage-dev (>= 1.52),
    golang-github-coreos-bbolt-dev (>= 1.3.3~),
    golang-github-otiai10-copy-dev,
    golang-github-docker-distribution-dev,
    golang-github-docker-docker-credential-helpers-dev,
    golang-github-docker-docker-dev (>= 26.1),
    golang-github-docker-go-connections-dev,
    golang-github-fullsailor-pkcs7-dev,
    golang-github-ghodss-yaml-dev,
    golang-github-imdario-mergo-dev,
    golang-github-klauspost-pgzip-dev,
    golang-github-manifoldco-promptui-dev,
    golang-github-mattn-go-sqlite3-dev,
    golang-github-moby-sys-dev,
    golang-github-opencontainers-go-digest-dev,
    golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc5~),
    golang-github-opencontainers-selinux-dev (>= 1.11),
    golang-github-ostreedev-ostree-go-dev,
    golang-github-pkg-errors-dev,
    golang-github-pquerna-ffjson-dev,
    golang-github-proglottis-gpgme-dev,
    golang-github-secure-systems-lab-go-securesystemslib-dev,
    golang-github-sigstore-fulcio-dev,
    golang-github-sigstore-rekor-dev,
    golang-github-sigstore-sigstore-dev (>= 1.8.6),
    golang-github-sirupsen-logrus-dev,
    golang-github-stretchr-testify-dev,
    golang-github-sylabs-sif-dev (>> 2.3.1),
    golang-github-ulikunitz-xz-dev,
    golang-github-vbatts-tar-split-dev,
    golang-github-vbauerster-mpb-dev (>= 8),
    golang-github-xeipuuv-gojsonschema-dev,
    golang-go,
    golang-golang-x-crypto-dev,
    golang-golang-x-exp-dev (>= 0.0~git20230522.2e198f4-1~),
    golang-golang-x-net-dev,
    golang-golang-x-sync-dev,
    golang-gopkg-cheggaaa-pb.v1-dev,
    libbtrfs-dev,
    libdevmapper-dev,
Standards-Version: 4.6.1
Homepage: https://github.com/containers/image
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
XS-Go-Import-Path: github.com/containers/image
Testsuite: autopkgtest-pkg-go

Package: golang-github-containers-image
Architecture: all
Depends: ${misc:Depends}
Replaces: buildah (<< 1.17.1+dfsg1-2)
Description: Configuration files and manpages for github.com/containers repositories
 This package contains documentation and configuration files for use by
 other container projects.

Package: golang-github-containers-image-dev
Architecture: all
Depends: ${misc:Depends},
    golang-github-acarl005-stripansi-dev,
    golang-github-burntsushi-toml-dev (>= 1.3.2),
    golang-github-containers-libtrust-dev,
    golang-github-containers-ocicrypt-dev (>= 1.1.9),
    golang-github-containers-storage-dev (>= 1.52),
    golang-github-coreos-bbolt-dev (>= 1.3.3~),
    golang-github-docker-distribution-dev,
    golang-github-docker-docker-credential-helpers-dev,
    golang-github-docker-docker-dev (>> 26.1),
    golang-github-docker-go-connections-dev,
    golang-github-ghodss-yaml-dev,
    golang-github-imdario-mergo-dev,
    golang-github-klauspost-pgzip-dev,
    golang-github-manifoldco-promptui-dev,
    golang-github-mattn-go-sqlite3-dev,
    golang-github-moby-sys-dev,
    golang-github-opencontainers-go-digest-dev,
    golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc5),
    golang-github-opencontainers-selinux-dev (>= 1.11),
    golang-github-ostreedev-ostree-go-dev,
    golang-github-pkg-errors-dev,
    golang-github-proglottis-gpgme-dev,
    golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.7),
    golang-github-sigstore-fulcio-dev,
    golang-github-sigstore-rekor-dev,
    golang-github-sigstore-sigstore-dev (>= 1.8.6),
    golang-github-sirupsen-logrus-dev,
    golang-github-stretchr-testify-dev,
    golang-github-sylabs-sif-dev (>> 2.3.1),
    golang-github-theupdateframework-go-tuf-dev,
    golang-github-ulikunitz-xz-dev,
    golang-github-vbatts-tar-split-dev,
    golang-github-vbauerster-mpb-dev (>= 8),
    golang-github-xeipuuv-gojsonschema-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-exp-dev (>= 0.0~git20230522.2e198f4-1~),
    golang-golang-x-net-dev,
    golang-golang-x-sync-dev,
    golang-gopkg-cheggaaa-pb.v1-dev,
Description: golang library to work with containers' images
 This library aims at working in various way with containers' images and
 container image registries and allows an application to pull and push
 images from container image registries, like the upstream docker
 registry. It also implements "simple image signing".
